# kanarip/phabricator spec file for php-camspiers-porter-stemmer
#
# Copyright (c) 2015-2016 Jeroen van Meeuwen
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap    0
%global gh_commit 56f1e3b0bacf222023d07d74fa299ef0ad063ad2
%global gh_date      20160322
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     camspiers
%global gh_project   porter-stemmer
%global php_home     %{_datadir}/php
%global ns_vendor    CamSpiers
%global ns_project   PorterStemmer
%if %{bootstrap}
%global with_tests   0%{?_with_tests:1}
%else
%global with_tests   0%{!?_without_tests:1}
%endif

Name:           php-%{gh_owner}-%{gh_project}
Version:        1.0.0
%global specrel 3
Release:        %{?gh_date:0.%{specrel}.%{?prever}%{!?prever:%{gh_date}git%{gh_short}}}%{!?gh_date:%{specrel}}%{?dist}
Summary:        PHP 5 implementation of the porter stemmer algorithm

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/phacility/libphutil/archive/%{gh_commit}.tar.gz#/%{gh_project}-%{gh_commit}.tar.gz

Patch1:         porter-stemmer-namespace.patch

BuildArch:      noarch
BuildRequires:  php(language) >= 5.0
BuildRequires:  php-fedora-autoloader-devel

Requires:       php(language) >= 5.0
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(%{gh_owner}/%{gh_project}) = %{version}


%description
Porter Stemmer created by Richard Heyes.

PHP 5 implementation of the porter stemmer algorithm

Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}/autoload.php


%prep
%setup -q -n %{gh_project}-%{gh_commit}

%patch1 -p1

%build
# Generate the Autoloader, from composer.json "autoload": {
#        "classmap": [
#            "src/"
phpab --template fedora --output src/autoload.php src

%install
mkdir -p   %{buildroot}%{php_home}/%{ns_vendor}
cp -pr src %{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}

%check

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md composer.json
%{php_home}/%{ns_vendor}/%{ns_project}

%changelog
* Sun Dec 04 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 1.0.0-0.3.20160322git56f1e3b.1
- Rebuild

* Sun Dec 04 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 1.0.0-0.3.20160322git56f1e3b.1
- Rebuild

* Sun Dec 04 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 1.0.0-0.3.20160322git56f1e3b.1
- Rebuild

* Sun Dec  4 2016 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 1.0.0-3
- Add a namespace
- Initial package
